Getopt::Yath::Option::Scalar(3pm)

NAME
Getopt::Yath::Option::Scalar - Option type for basic scalar values.

DESCRIPTION
Takes a scalar value. A value is required. Can be used as "--opt VAL" or "--opt=val". "--no-opt" can be used to clear the value.

SYNOPSIS
    option name => (
        short => 'n',
        type => 'Scalar',
        description => 'Specify the name',
        long_examples => [ ' foo'],
        short_examples => [ ' foo'],
        default => 'john',
    );

METHODS
All methods from Getopt::Yath::Option are inherited. The following are overridden or noteworthy:

requires_arg: true
    A value must be provided ("--opt VALUE" or "--opt=VALUE").

can_set_env: true
    Scalar options can set environment variables. Negated env vars ("!VAR") are supported.

SOURCE
The source code repository for Getopt-Yath can be found at <http://github.com/Test-More/Getopt-Yath/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>